summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-apps/ifplugd/files/gentoo-ifplugd.action-v2')
-rw-r--r--sys-apps/ifplugd/files/gentoo-ifplugd.action-v233
1 files changed, 33 insertions, 0 deletions
diff --git a/sys-apps/ifplugd/files/gentoo-ifplugd.action-v2 b/sys-apps/ifplugd/files/gentoo-ifplugd.action-v2
new file mode 100644
index 000000000000..99d142b8b109
--- /dev/null
+++ b/sys-apps/ifplugd/files/gentoo-ifplugd.action-v2
@@ -0,0 +1,33 @@
+#!/bin/sh
+# Copyright 1999-2003 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/ifplugd/files/gentoo-ifplugd.action-v2,v 1.1 2003/08/06 18:00:34 wmertens Exp $
+#
+# Gentoo-specific ifplugd.action
+#
+# This file gets called by ifplugd when it wants to bring an interface
+# up or down.
+#
+
+case "$2" in
+ up)
+ state=start
+ ;;
+ down)
+ state=stop
+ ;;
+ *)
+ echo "$0: wrong arguments"
+ echo "Call with <interface> <up|down>"
+ exit 1
+ ;;
+esac
+
+if [ -x /etc/init.d/net.$1 ]
+then
+ /etc/init.d/net.$1 --quiet $state
+ exit 0
+else
+ logger -t ifplugd.action "Error: Couldn't configure $1, no /etc/init.d/net.$1 script!"
+ exit 1
+fi